Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009220Dwarf FortressDwarf Mode -- Skills and Professionspublic2015-12-04 16:252015-12-07 14:57
ReporterTalvieno 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version0.42.01 
Target VersionFixed in Version0.42.03 
Summary0009220: Bookbinding Dwarf Systematically Steps Through All Cavern Webs
DescriptionA dwarf is wandering the caverns and then decides he's going to go do some bookbinding, which I had ordered done. So... he starts stepping in the webs left by smaller spiders. One web after another, as though they were solid rock and I told him to dig (actually in a very similar pattern to that). He continues to step in and destroy every nearby web until he gets stuck, at which point he gets the "No Job" status and starts to walk back home - until he remembers he's supposed to be book-binding. He then turns around and starts jumping in webs again.
Steps To ReproduceGet a book-binding dwarf to a cavern and watch him step through webs.
TagsProbable Quick Fix
Attached Files

- Relationships

-  Notes
(0033391)
Thutmose (reporter)
2015-12-04 17:05
edited on: 2015-12-04 17:24

I have also noticed this issue, I noticed it from random canceling bind book, stuck in web notices.

I think they are trying to pick up the thread to use it for binding the book

(0033492)
Knight Otu (manager)
2015-12-06 04:23

Yes, the bind book reaction is missing the [NOT_WEB] token after the thread reagent, causing webs to be "viable" reagents.
(0033591)
Toady One (administrator)
2015-12-07 11:17

Ah, cool, it would have taken me a while to remember I even had that token.

The randomly generated string-making jobs for some instruments were also affected.

Old saves are always going to be wrong, unfortunately, so we'll probably have duplicate reports for a while even after 0.42.03 goes up. People can edit their save raws to fix bookbinding, but the generated string jobs can't be fixed.

- Issue History
Date Modified Username Field Change
2015-12-04 16:25 Talvieno New Issue
2015-12-04 17:05 Thutmose Note Added: 0033391
2015-12-04 17:24 Thutmose Note Edited: 0033391 View Revisions
2015-12-06 04:23 Knight Otu Note Added: 0033492
2015-12-06 04:23 Knight Otu Assigned To => Knight Otu
2015-12-06 04:23 Knight Otu Status new => confirmed
2015-12-06 04:23 Knight Otu Tag Attached: Probable Quick Fix
2015-12-07 11:17 Toady One Note Added: 0033591
2015-12-07 11:18 Toady One Status confirmed => resolved
2015-12-07 11:18 Toady One Fixed in Version => Next Version
2015-12-07 11:18 Toady One Resolution open => fixed
2015-12-07 11:18 Toady One Assigned To Knight Otu => Toady One
2015-12-07 14:57 Dwarfu Issue Monitored: Dwarfu


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker